LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XValueBinding Interface Reference

specifies a binding to a value which can be read and written. More...

`import"XValueBinding.idl";`

Inheritance diagram for XValueBinding:

## Public Member Functions
sequence< type > | getSupportedValueTypes ()
| determines the types which are supported by this binding for value exchange More...
boolean | supportsType ([in] type aType)
| determines whether a given type is supported by this binding for value exchange More...
any | getValue ([in] type aType) raises ( IncompatibleTypesException )
| retrieves the current value More...
void | setValue ([in] any aValue) raises ( IncompatibleTypesException, InvalidBindingStateException, com::sun::star::lang::NoSupportException )
| sets the current value More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies a binding to a value which can be read and written.

Developers Guide
  Forms - Value Bindings

## Member Function Documentation

## ◆ getSupportedValueTypes()

sequence< type > getSupportedValueTypes | ( |  | ) |

determines the types which are supported by this binding for value exchange

See also
  supportsType

## ◆ getValue()

any getValue | ( | [in] type | aType | ) |
raises | ( | IncompatibleTypesException
| ) |  |

retrieves the current value

Exceptions

  IncompatibleTypesException | if the requested value type is not supported by the binding

See also
  getSupportedValueTypes
  supportsType

## ◆ setValue()

void setValue | ( | [in] any | aValue | ) |
raises | ( | IncompatibleTypesException,
|  | InvalidBindingStateException,
|  | com::sun::star::lang::NoSupportException
| ) |  |

sets the current value

Exceptions

  IncompatibleTypesException | if the given value type is not supported by the binding
  InvalidBindingStateException | if the value currently cannot be changed, since the binding is not fully operational. Possible reasons for this include the binding being readonly, or the target of the binding not being present.
  com::sun::star::lang::NoSupportException | if the binding in general does not support write access to its binding

See also
  getSupportedValueTypes
  supportsType
  ValueBinding

## ◆ supportsType()

boolean supportsType | ( | [in] type | aType | ) |

determines whether a given type is supported by this binding for value exchange

Calling this method is equal to calling getSupportedValueTypes(), and looking up the given type in the resulting type sequence.

See also
  getSupportedValueTypes

The documentation for this interface was generated from the following file:

- com/sun/star/form/binding/XValueBinding.idl